Ubuntu

udisks --inhibit times out in ubiquity-wrapper during boot.

Reported by Gustavo on 2010-04-21
122
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Colin Watson
linux (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
ubiquity (Ubuntu)
High
Unassigned
Lucid
High
Unassigned
udisks (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Release note:

On some machines, the CD boot fails with the message "The installer encountered an unrecoverable error, A desktop session will now be run so that you may investigate the problem or try installing again." If you encounter this error, simply click okay to load the live CD desktop. Click on the "Install Ubuntu 10.04" icon to begin installing Ubuntu.

Original report follows:
I downloaded Ubuntu Lucid daily-live (64-bit version) and burned it onto a DVD-R (not a CD-R). Booting from the DVD gets past the Ubuntu logo with five dots, a purple background and the mouse pointer is shown, then the following message appears in a dialog box:

"The installer encountered an unrecoverable error, A desktop session will now be run so that you may investigate the problem or try installing again."

After pressing the OK button, Ubuntu shows the message "Please remove the disc and close the tray (if any) then press ENTER." and reboots after that.

The first time I had this issue was on Thursday, today I zsynced and burned the image onto another DVD, but the same problem still appears.

gugamilare@gugamilare-desktop:~/Downloads/Ubuntu test$ zsync http://cdimage.ubuntu.com/daily-live/current/lucid-desktop-amd64.iso.zsync
#################### 100.0% 60.2 kBps DONE

reading seed file lucid-desktop-amd64.iso: ***************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************Read lucid-desktop-amd64.iso. Target 100.0% complete. ******************************************
verifying download...checksum matches OK
used 728215552 local, fetched 0

Comment 26 of bug #532984 seems to describe the exact same problem on a different system.

ProblemType: Bug
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gugamilare 1689 F.... knotify4
                      gugamilare 1712 F.... kmix
                      gugamilare 1718 F.... amarok
 /dev/snd/controlC1: gugamilare 1712 F.... kmix
CRDA: Error: [Errno 2] Arquivo ou diretório não encontrado
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xdfef8000 irq 23'
   Mixer name : 'Realtek ALC662 rev1'
   Components : 'HDA:10ec0662,10438290,00100101'
   Controls : 33
   Simple ctrls : 17
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xdffec000 irq 18'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [on]
Date: Wed Apr 21 10:32:16 2010
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=30ac8991-160f-4916-b0b7-38e12216c6ec
InstallationMedia: Kubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: System manufacturer System Product Name
NonfreeKernelModules: fglrx
Package: linux-image-2.6.31-21-generic 2.6.31-21.59
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-21-generic root=UUID=464e9394-0cfa-4424-979b-31221198073d ro quiet splash
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 PATH=(custom, user)
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-21.59-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-21-generic N/A
 linux-firmware 1.26
RfKill:

SourcePackage: linux
Uname: Linux 2.6.31-21-generic x86_64
dmi.bios.date: 03/20/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0501
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N-MX SE
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev x.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0501:bd03/20/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N-MXSE:rvrRevx.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Gustavo (gugamilare) wrote :
Fabio Marconi (fabiomarconi) wrote :

Same problem on lucid 20100419.1 amd64

tags: added: iso-testing
Evan Dandrea (ev) wrote :

When you see the "unrecoverable error" message, switch to a virtual terminal (ctrl-alt-f2) and either copy /var/log/syslog and /var/log/installer/debug to a usb disk, then attach them to this bug, or run `apport-collect 567899`, which should attach the logs for you.

Changed in linux (Ubuntu):
status: New → Incomplete
status: Incomplete → Invalid
Changed in ubiquity (Ubuntu):
status: New → Incomplete
Vladimir (thunder27) wrote :

Same problem with today releace of LL RC 64bit.

Evan Dandrea (ev) wrote :

Vladimir,

See my comment in:
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/567899/comments/3

We need debug logs before we can fix this.

Gustavo (gugamilare) wrote :

Attaching /var/log/syslog as requested.

Unfortunately, I couldn't find the file /var/log/installer/debug, the only file with the same folder was /var/log/installer/dm.

Also, it seems apport-collect 567899 did not work correctly. I ran it and it opened a web page where I could put my e-mail and password of OpenID, but the button "Continue" wasn't a link (it looked like normal text). Moving the cursor to the text "Continue" and pressing Enter did nothing.

Evan Dandrea (ev) wrote :

Gustavo,

Can you attach that /var/log/installer/dm file?

Thanks!

japro (j-amelunxen) wrote :

Hi,
i have the same bug here; Attaching a tar.bz2 archive with dm and syslog as requested.

Evan Dandrea (ev) wrote :

japro's issue appears to be udisks' hitting the dbus timeout on a call to its inhibit method:
Inhibit all polling failed: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
As ubiquity is wrapped by udisks --inhibit, it fails along with it.

Vladimir (thunder27) wrote :
  • dm Edit (1.2 KiB, text/plain)

So here it is:

Vladimir (thunder27) wrote :
Evan Dandrea (ev) on 2010-04-23
summary: - Booting daily-live Lucid fails with "unrecoverable error"
+ udisks --inhibit times out in ubiquity-wrapper during boot.
Changed in ubiquity (Ubuntu):
importance: Undecided → High
status: Incomplete → Triaged
Evan Dandrea (ev) wrote :

Is there anything in /var/crash after the installer crashes? (If so, please attach it to this bug report)
If you press a key when you see the keyboard icon during boot, you'll bring up the boot options screen. Select a language and then "Try Ubuntu". From there click on the "Install Ubuntu" icon. Does it launch successfully?

Evan Dandrea (ev) wrote :

Also, once you get to the live CD desktop after selecting "Try Ubuntu", before you click on "Install Ubuntu", open a terminal. Type `pidof udisks-daemon`. Does it return a number? Also run `sudo udisks --inhibit sleep 60`. Does it output anything?

Thanks!

William Shotts (bshotts) wrote :

I'm having the same problem (I think) on my ThinkPad T41. I am posting my syslog and dm files.

William Shotts (bshotts) wrote :
  • dm Edit (1.2 KiB, text/plain)
William Shotts (bshotts) wrote :
Evan Dandrea (ev) wrote :
William Shotts (bshotts) wrote :

There is nothing in /var/crash

On my system, pidof udisks-daemon returns two numbers: 2642 2638

sudo udisks --inhibit sleep 60 returns nothing

The installer does launch.

It occurs to me that this problem his been in the live Cds for some time. I am running two test machines and noticed that the initial graphical install screen (the one that gives the user the choice of trying or installing) never appeared on the one having the problem now. It just went straight to the desktop. Now with the RC, it puts up the error message but the error message does not let you continue on to the desktop; it just reboots.

japro (j-amelunxen) wrote :

oh and btw. an installation with this text-based interface is possible. This only happens by using the graphical interface

Vladimir (thunder27) wrote :

I have nothing in /var/crash too.
pidof udisks-daemon returns numbers: 2871 and 2869

Maimon Mons (mmcmonster) wrote :

I saw this as well.

The CD graphical install apparently works if you use the No ACPI boot option.

Evan Dandrea (ev) wrote :

When you see the keyboard icon as the CD is booting, press spacebar. This will bring up the advanced boot options screen. Select a language then arrow down to the "Install Ubuntu" option. Press F6, then escape. You should see a line of text. Change "only-ubiquity" to "maybe-ubiquity" and add a space and "break=bottom" after it. Press enter.

The CD will continue booting and you should end up at an "(initramfs)" prompt. Type `chroot root bash`. Next, type nano /etc/dbus-1/system.conf. Delete the line that reads "<fork/>", save the file (ctrl-o, enter), and exit (ctrl-x).

Now type nano /etc/init/dbus.conf. Comment out the "expect fork" and "respawn" lines by putting a # character in front of them. Change the line that reads "exec dbus-daemon --system --fork" to read "exec strace -tt -o/var/log/dbus.log -- dbus-daemon --system". Save the file (ctrl-o, enter) and exit (ctrl-x).

Type nano /etc/init/ubiquity.conf. Change the line that begins "if ! ubiquity-dm vt7 :0 ubuntu..." to read "if ! strace -tt -o/var/log/ubiquity.log -- ubiquity-dm vt7 :0 ubuntu...". Save the file (ctrl-o, enter) and exit (ctrl-x).

Now type exit to bring you back to the (initramfs) prompt. Type exit again. The CD will continue booting and should crash at the installer, as it did before. Switch to a virtual terminal (ctrl-alt-f2), plug in and mount a USB disk (sudo mount /dev/sdb1 /mnt), then copy /var/log/dbus.log and /var/log/ubiquity.log to it.

While you're at the virtual terminal, type `ps auxf > /mnt/ps.log`.

Unmount the USB disk (sudo umount /mnt) and attach dbus.log, ubiquity.log and ps.log to this bug report.

Evan Dandrea (ev) wrote :

If you are experiencing this bug, please follow the steps I've outlined in comment #22. We need strace logs to get a better idea of what's going wrong with the interaction between dbus and the installer to be able to fix the bug.

https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/567899/comments/22

Thanks!

Vladimir (thunder27) wrote :

I did it but I have no dbus.log and no ubiquity.log in /var/log
after editing /etc/init/ubiquity.conf I typed exit and exit again and I have prompt on virtual terminal. If I press ctrl-alt-f7 I see "(process:384): Glib-WARNING **: getpwuid_r() failed due to unknown user id (0)"

Evan Dandrea (ev) wrote :

Vladimir,

Ignore the getpwuid_r() error. That's insignificant.

Please review the instructions. I followed them myself and they produced logs for both ubiquity and dbus, as expected. I suspect you're missing one of the steps if you don't have a ubiquity.log or dbus.log in /var/log. Make sure the first prompt you see after booting from the advanced options screen is "(initramfs)" and not "ubuntu@ubuntu:~$".

Thanks!

Vladimir (thunder27) wrote :

I have tried it twice and the same error. Yes, first prompt is "(initramfs)". But I do not know if I edit files correctly...because..you write "exec strace -tt -o/var/log/dbus.log -- dbus-daemon --system" ... is it correct? Isn't it "exec strace -tt -o /var/log/dbus.log -- dbus-daemon --system" - space beetwenn "-o" and "/var/..."? Or "exec strace -tt -o/var/log/dbus.log -- dbus-daemon --system" Is the space beetwen -- and dbus-daemon correct? I wrote it as you told but I haven't logs :-(

William Shotts (bshotts) wrote :

I got them Evan. Attaching.

William Shotts (bshotts) wrote :
William Shotts (bshotts) wrote :
Evan Dandrea (ev) on 2010-04-27
description: updated
William Shotts (bshotts) wrote :

Evan, I would caution you regarding the release note. On the RC, when a user encounters this problem and clicks the OK button on the dialog, the system reboots. The user is not taken to the desktop.

Evan Dandrea (ev) wrote :

William,

Thanks a lot for posting those logs. I've looked over them and traced through the code, but the lack of a decent string size in the output (which I failed to ask you to use) is making it very difficult to follow. Would you be so kind as to try again with the following option added to the strace calls:

-s 1024

That is, follow the steps I outlined in comment #22 (https://bugs.edge.launchpad.net/ubuntu-release-notes/+bug/567899/comments/22), and everywhere you would normally put:
... strace -tt ...

put instead:
... strace -s 1024 -tt ...

This will change the string size from the default 32 characters to 1024, which should be more than enough to show the entire strings that dbus passes around.

Thanks!

Anyone else that's experiencing this bug, please do the same if you are able.

William Shotts (bshotts) wrote :

Here you go!

William Shotts (bshotts) wrote :
Evan Dandrea (ev) wrote :

Thanks William!

Okay, that narrows it down:

15:52:55.802079 read(24, "l\1\0\1\n\0\0\0\10\0\0\0\207\0\0\0\1\1o\0\25\0\0\0/org/freedesktop/DBus\0\0\0\6\1s\0\24\0\0\0org.freedesktop.DBus\0\0\0\0\2\1s\0\24\0\0\0org.freedesktop.DBus\0\0\0\0\3\1s\0\25\0\0\0GetConnectionUnixUser\0\0\0\10\1g\0\1s\0\0\5\0\0\0:1.15\0", 2048) = 162
15:52:55.802232 read(24, 0x21160a30, 2048) = -1 EAGAIN (Resource temporarily unavailable)
15:52:55.802464 writev(24, [{"l\3\1\0014\0\0\0\20\0\0\0u\0\0\0\6\1s\0\5\0\0\0:1.16\0\0\0\4\1s\0)\0\0\0org.freedesktop.DBus.Error.NameHasNoOwner\0\0\0\0\0\0\0\5\1u\0\10\0\0\0\10\1g\0\1s\0\0\7\1s\0\24\0\0\0org.freedesktop.DBus\0\0\0\0", 136}, {"/\0\0\0Could not get UID of name ':1.15': no such name\0", 52}], 2) = 188
...
15:52:55.803074 read(24, "l\2\1\1\27\0\0\0\t\0\0\0\37\0\0\0\6\1s\0\5\0\0\0:1.15\0\0\0\5\1u\0\6\0\0\0\10\1g\0\1s\0\0\22\0\0\0udisks_inhibitor_0\0", 2048) = 71

Evan Dandrea (ev) wrote :

Right. I'm afraid I need to ask for another test run.

Put the following debs on a USB disk:
if you're on 64-bit: https://edge.launchpad.net/~ev/+archive/ppa/+build/1710338
if you're on 32-bit: https://edge.launchpad.net/~ev/+archive/ppa/+build/1710339

When you see the keyboard icon as the CD is booting, press spacebar. This will bring up the advanced boot options screen. Select a language then arrow down to the "Install Ubuntu" option. Press F6, then escape. You should see a line of text. Change "only-ubiquity" to "maybe-ubiquity" and add a space and "break=bottom" after it. Press enter.

The CD will continue booting and you should end up at an "(initramfs)" prompt. Type `chroot root bash`.

Insert the USB disk that you copied the debs onto, mount it (mount /dev/sdb1 /mnt), and install the debs (dpkg -i /mnt/dbus*.deb).

Next, type nano /etc/dbus-1/system.conf. Delete the line that reads "<fork/>", save the file (ctrl-o, enter), and exit (ctrl-x).

Now type nano /etc/init/dbus.conf. Comment out the "expect fork" and "respawn" lines by putting a # character in front of them. Right below them add a line that says "env DBUS_VERBOSE=1". Change the line that reads "exec dbus-daemon --system --fork" to read "exec strace -tt -s 1024 -o/var/log/dbus.log -- dbus-daemon --system >/var/log/dbus-messages.log 2>&1". Save the file (ctrl-o, enter) and exit (ctrl-x).

Now type exit to bring you back to the (initramfs) prompt. Type exit again. The CD will continue booting and should crash at the installer, as it did before. If it does not crash, try again without the strace call. That is, change the line that reads "exec dbus-daemon --system --fork" to "exec dbus-daemon --system >/var/log/dbus-messages.log 2>&1"

Switch to a virtual terminal (ctrl-alt-f2), plug in and mount the USB disk again (sudo mount /dev/sdb1 /mnt), then copy /var/log/dbus.log and /var/log/dbus-messages.log to it.

Unmount the USB disk (sudo umount /mnt) and attach dbus.log and dbus-messages.log to this bug report.

Thanks so much for helping us get to the bottom of this problem!

William Shotts (bshotts) wrote :

Question: I using 32-bit. Do you want all five .debs installed? If so, then your command should be 'dpkg -i /mnt/*dbus*.deb'

Evan Dandrea (ev) wrote :

William,

Just the dbus* ones will be sufficient.

William Shotts (bshotts) wrote :

Evan, I can't carry out the procedure as written. I can't mount the USB drive at that point. mount says that the devices does not exist. I checked dmesg and see that the device is being detected but it's not available to me. If i continue on and let the dialog come up and then enter a virtual terminal, I can mount it with no problem.

Evan Dandrea (ev) wrote :

My mistake. After you type `chroot root bash`, type `mount -t devtmpfs devtmpfs /dev`. Follow the steps as you did before. Just before you type exit to bring you back to the initramfs prompt, type `umount /dev`. Type exit to bring you to the initramfs prompt, then type exit to continue booting.

William Shotts (bshotts) wrote :

They're really big, but here they are...

William Shotts (bshotts) wrote :
Colin Watson (cjwatson) wrote :

I've modified Evan's release note a bit in light of William's comment 30, and applied it. Thanks!

== Desktop installer sometimes crashes on startup ==

On some machines, the CD boot fails with the message "The installer encountered an unrecoverable error. A desktop session will now be run so that you may investigate the problem or try installing again." If you encounter this error, restart your computer with the CD inserted, press any key at the splash screen (when you see the keyboard icon at the bottom of the screen), and select "Try Ubuntu without installing". Once the desktop appears, use the "Install Ubuntu 10.04" icon to begin installing Ubuntu. (Bug:567899)

Changed in ubuntu-release-notes:
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Released
aeromojito (aeromojito) wrote :

I had this issue as well as USB drives and optical discs refusing to auto-mount. See Bug #546992 . Both were solved by either inserting my removable floppy drive or disabling the floppy controller in the BIOS. It would be interesting to know how many other systems affected by this bug have floppy controllers with no drive attached.

William Shotts (bshotts) wrote :

Wow! You're right. I just disabled the floppy controller on my Thinkpad T41 and the problem went away.

VSN (vsn-inbox) wrote :

Disabling the floppy disk in the BIOS fixed this problem for me too.

Thanks aeromojito!

Disabling the floppy drive in the BIOS fixed this for me too. Lucid 10.04 RC1 32-bit.

I have burned and tried almost all types of new ubuntu 10.04 options, 32/64 bits and always have the same response quoted here so I'm sending the logs you requested, I have burned the images as low as the burner allows, please help me.

Michael Losonsky (michl) wrote :

Doesn't seem like a fix but a workaround.

VSN (vsn-inbox) wrote :

@ Roberto Barcenas

try that aeromojito proposed https://bugs.launchpad.net/ubuntu/+source/linux/+bug/567899/comments/43

Louis Simard (louis-simard) wrote :

Disabling the floppy drive controller did solve the problem for me. However, this means that other computers, whose BIOSes I'm not guaranteed to be able to access, will delay around 15 seconds and show this error message.

I will watch for fixes to this bug and include them in a custom CD using https://help.ubuntu.com/community/LiveCDCustomization when done - thanks in advance!

gene (eugenios) wrote :

I have a similar issue. The boot time is much longer compared to 9.04 about 2mins vs. 1 minute. I cannot disable a floppy in the BIOS and the laptop has none of that. While the machine is booting the messages are not shown, I can't tell which task takes longer. I'll try to find out how to bring the messages back. I enabled logging.
I also noticed that on a different machine a usb startup disk takes much longer even to get to the screen of the language selection, it is about 2mins vs. 2secs!!!! The performance of Lucid compared to Karmic is also notably inferior, such as video and visual effects.

gene (eugenios) wrote :

Sorry, I meant 9.10.

gene (eugenios) wrote :

trying to see the boot sequence and compare against the old data collected by bootchart

gene (eugenios) wrote :

According to bootchart, I had about 30sec boot time on jaunty, 80secs on karmic and, finally, 100 secs on lucid now. No much difference in the set-up from the rc.d point of view, I remember I got read sendmail at some point.
The trend, for me at least here, that the more boot-up optimization are offered the longer the boot-up time gets.
Also, as I mentioned on a completely different hardware with start-up disk it got just ridiculous.

Evan Dandrea (ev) wrote :

Gene,

Please file a separate bug. Your problems are unrelated to this bug.

candtalan (aeclist) wrote :

10.04 Live CD
choose install Ubuntu from the keypress initial menu (not the desktop)
soon see an error window
(window title) Installation failed
(window content)
'The installer encountered an unrecoverable error.
A desktop session will now be run so that you may investigate the problem or try installing again'

I note that although the10.04 release notes include this as a possible issue with the impolication of it being intermittent, I find that this is repeatable according to machine.

candtalan (aeclist) wrote :

Further information:
Of the 5 various machines I have available to me just now, this 'installer encountered an unrecoverable error' problem occurs on two of them.

Steve Langasek (vorlon) on 2010-05-17
Changed in ubiquity (Ubuntu Lucid):
milestone: none → ubuntu-10.04.1
Raffaele Mancuso (raffamaiden) wrote :

Also happened to me. The installer crashed at startup with that message. I go into the BIOS and turned off my floppy drive. The ubuntu installer did crashed no more. You should have solved this BEFORE releasing a stable release. Still waiting for a fix .....

Mark A. Horn (mark-horn) wrote :

This happened to me as well. A very frustrating problem.

Michel Barakat (michelb) wrote :

Same problem here.

I cannot get the ubiquity installer to run at this time.
I am booting Ubuntu 10.04 amd64 from a USB disk.
- Tried booting with noacpi with no success.
- Motherboard doesn't have a floppy driver controller.

Is there an alternative way to get the installation process working?

Michel Barakat (michelb) wrote :

FYI, I was able to overcome this problem. I am not certain however which of these two issues fixed it:
- Instead of using a USB disk, I used a the CD drive to launch and install Ubuntu.
- I had to set the the hard disk to AHCI (instead of IDE) in the bios, otherwise, it would was getting a 'unable to find a medium containing a live system' error message.

corey (kanadian-pimp50) wrote :

All i did as well was disabled all floppy drives...and it booted up no problem...installing now. im running a compaq N610 C...so thanks to Lous Simard!

Martin Pitt (pitti) wrote :

Thanks, so it seems this is indeed just a dupe of bug 539515, which got fixed a while ago in lucid-updates.

Changed in ubiquity (Ubuntu Lucid):
milestone: ubuntu-10.04.1 → none
Changed in ubiquity (Ubuntu):
status: Triaged → Invalid
Changed in ubiquity (Ubuntu Lucid):
status: Triaged → Invalid
To post a comment you must log in.